<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE why3session PUBLIC "-//Why3//proof session v5//EN"
"http://why3.lri.fr/why3session.dtd">
<why3session shape_version="6">
<prover id="0" name="Alt-Ergo" version="2.4.0" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="1" name="CVC4" version="1.8" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="2" name="Z3" version="4.8.10" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="3" name="Z3" version="4.8.6" alternative="noBV" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="4" name="Z3" version="4.8.6" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="5" name="Alt-Ergo" version="2.3.1" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="6" name="CVC4" version="1.6" timelimit="1" steplimit="0" memlimit="1000"/>
<prover id="7" name="CVC4" version="1.6" alternative="counterexamples" timelimit="1" steplimit="0" memlimit="1000"/>
<file format="whyml">
<path name=".."/><path name="semantics_simplified.mlw"/>
<theory name="Big_step" proved="true">
 <goal name="example_2_1_1" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="405192"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3466105"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="example_2_1_1.0" proved="true">
  <transf name="eliminate_inductive" proved="true" >
   <goal name="example_2_1_1.0.0" proved="true">
   <transf name="instantiate" proved="true" arg1="comp_ns" arg2="(ASSIGN z (Var_e x))">
    <goal name="example_2_1_1.0.0.0" proved="true">
    <transf name="instantiate" proved="true" arg1="Hinst" arg2="(ASSIGN x (Var_e y))">
     <goal name="example_2_1_1.0.0.0.0" proved="true">
     <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x 5 (add y 7 (empty: fmap var int)))">
      <goal name="example_2_1_1.0.0.0.0.0" proved="true">
      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add z 5 (add x 5 (add y 7 (empty: fmap var int))))">
       <goal name="example_2_1_1.0.0.0.0.0.0" proved="true">
       <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x 7 (add z 5 (add x 5 (add y 7 (empty: fmap var int)))))">
        <goal name="example_2_1_1.0.0.0.0.0.0.0" proved="true">
        <transf name="destruct_rec" proved="true" arg1="Hinst">
         <goal name="example_2_1_1.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
         <proof prover="0"><result status="timeout" time="1.00"/></proof>
         <proof prover="1"><result status="timeout" time="1.00" steps="414746"/></proof>
         <proof prover="2"><result status="timeout" time="1.00" steps="3747256"/></proof>
         <transf name="instantiate" proved="true" arg1="ass_ns" arg2="z">
          <goal name="example_2_1_1.0.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
          <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Var_e x)">
           <goal name="example_2_1_1.0.0.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
           <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x 5 (add y 7 (empty: fmap var int)))">
            <goal name="example_2_1_1.0.0.0.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
            <proof prover="0"><result status="valid" time="0.07" steps="779"/></proof>
            <proof prover="1"><result status="timeout" time="1.00" steps="184252"/></proof>
            <proof prover="2"><result status="timeout" time="1.00" steps="3604043"/></proof>
            </goal>
           </transf>
           </goal>
          </transf>
          </goal>
         </transf>
         </goal>
         <goal name="example_2_1_1.0.0.0.0.0.0.0.1" expl="destruct premise" proved="true">
         <proof prover="0"><result status="timeout" time="1.00"/></proof>
         <proof prover="1"><result status="timeout" time="1.00" steps="405490"/></proof>
         <proof prover="2"><result status="timeout" time="1.00" steps="3190434"/></proof>
         <transf name="instantiate" proved="true" arg1="ass_ns" arg2="x">
          <goal name="example_2_1_1.0.0.0.0.0.0.0.1.0" expl="destruct premise" proved="true">
          <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Var_e y)">
           <goal name="example_2_1_1.0.0.0.0.0.0.0.1.0.0" expl="destruct premise" proved="true">
           <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add z 5 (add x 5 (add y 7 (empty: fmap var int))))">
            <goal name="example_2_1_1.0.0.0.0.0.0.0.1.0.0.0" expl="destruct premise" proved="true">
            <proof prover="0"><result status="valid" time="0.18" steps="2291"/></proof>
            <proof prover="1"><result status="timeout" time="1.00" steps="277737"/></proof>
            <proof prover="2"><result status="timeout" time="1.00" steps="2389284"/></proof>
            </goal>
           </transf>
           </goal>
          </transf>
          </goal>
         </transf>
         </goal>
         <goal name="example_2_1_1.0.0.0.0.0.0.0.2" proved="true">
         <proof prover="0"><result status="valid" time="0.01" steps="10"/></proof>
         <proof prover="1"><result status="valid" time="0.04" steps="17229"/></proof>
         <proof prover="2"><result status="valid" time="0.01" steps="5928"/></proof>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="example_2_1_2" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="413627"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3369762"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="example_2_1_2.0" proved="true">
  <transf name="eliminate_inductive" proved="true" >
   <goal name="example_2_1_2.0.0" proved="true">
   <transf name="instantiate" proved="true" arg1="ass_ns" arg2="y">
    <goal name="example_2_1_2.0.0.0" proved="true">
    <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Var_e z)">
     <goal name="example_2_1_2.0.0.0.0" proved="true">
     <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add z 5 (add x 7 (add y 7 (empty: fmap var int))))">
      <goal name="example_2_1_2.0.0.0.0.0" proved="true">
      <proof prover="0"><result status="valid" time="0.08" steps="897"/></proof>
      <proof prover="1"><result status="timeout" time="1.00" steps="271804"/></proof>
      <proof prover="2"><result status="timeout" time="1.00" steps="3159484"/></proof>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="example_2_1_3" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="302061"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3572348"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="example_2_1_3.0" proved="true">
  <transf name="eliminate_inductive" proved="true" >
   <goal name="example_2_1_3.0.0" proved="true">
   <transf name="instantiate" proved="true" arg1="comp_ns" arg2="(COMP (ASSIGN z (Var_e x)) (ASSIGN x (Var_e y)))">
    <goal name="example_2_1_3.0.0.0" proved="true">
    <transf name="instantiate" proved="true" arg1="Hinst" arg2="(ASSIGN y (Var_e z))">
     <goal name="example_2_1_3.0.0.0.0" proved="true">
     <transf name="instantiate" proved="true" arg1="Hinst" arg2="s">
      <goal name="example_2_1_3.0.0.0.0.0" proved="true">
      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x 7 (add z 5 s))">
       <goal name="example_2_1_3.0.0.0.0.0.0" proved="true">
       <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add y 5 (add x 7 (add z 5 s)))">
        <goal name="example_2_1_3.0.0.0.0.0.0.0" proved="true">
        <proof prover="0"><result status="timeout" time="1.00"/></proof>
        <proof prover="1"><result status="timeout" time="1.00" steps="320367"/></proof>
        <proof prover="2"><result status="timeout" time="1.00" steps="3193235"/></proof>
        <transf name="destruct_rec" proved="true" arg1="Hinst">
         <goal name="example_2_1_3.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
         <proof prover="0"><result status="valid" time="0.01" steps="12"/></proof>
         <proof prover="1"><result status="valid" time="0.04" steps="18018"/></proof>
         <proof prover="2"><result status="valid" time="0.03" steps="83677"/></proof>
         </goal>
         <goal name="example_2_1_3.0.0.0.0.0.0.0.1" expl="destruct premise" proved="true">
         <proof prover="0"><result status="timeout" time="1.00"/></proof>
         <proof prover="1"><result status="timeout" time="1.00" steps="320768"/></proof>
         <proof prover="2"><result status="timeout" time="1.00" steps="3459239"/></proof>
         <transf name="instantiate" proved="true" arg1="ass_ns" arg2="y">
          <goal name="example_2_1_3.0.0.0.0.0.0.0.1.0" expl="destruct premise" proved="true">
          <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Var_e z)">
           <goal name="example_2_1_3.0.0.0.0.0.0.0.1.0.0" expl="destruct premise" proved="true">
           <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x 7 (add z 5 s))">
            <goal name="example_2_1_3.0.0.0.0.0.0.0.1.0.0.0" expl="destruct premise" proved="true">
            <proof prover="0"><result status="valid" time="0.29" steps="3735"/></proof>
            <proof prover="1"><result status="timeout" time="1.00" steps="214728"/></proof>
            <proof prover="2"><result status="timeout" time="1.00" steps="3138795"/></proof>
            </goal>
           </transf>
           </goal>
          </transf>
          </goal>
         </transf>
         </goal>
         <goal name="example_2_1_3.0.0.0.0.0.0.0.2" proved="true">
         <proof prover="0"><result status="valid" time="0.01" steps="10"/></proof>
         <proof prover="1" timelimit="5"><result status="valid" time="0.04" steps="17573"/></proof>
         <proof prover="2" timelimit="5"><result status="valid" time="0.01" steps="6146"/></proof>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="example_2_1" proved="true">
 <proof prover="2"><result status="valid" time="0.01" steps="6003"/></proof>
 </goal>
 <goal name="example_2_4_1_" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="unknown" time="0.10" steps="23953"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="2283174"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="example_2_4_1_.0" proved="true">
  <transf name="induction" proved="true" arg1="z" arg2="from" arg3="1">
   <goal name="example_2_4_1_.0.0" expl="base case" proved="true">
   <proof prover="0"><result status="timeout" time="1.00"/></proof>
   <proof prover="1"><result status="unknown" time="0.09" steps="23928"/></proof>
   <proof prover="2"><result status="timeout" time="1.00" steps="2263128"/></proof>
   <transf name="eliminate_inductive" proved="true" >
    <goal name="example_2_4_1_.0.0.0" expl="base case" proved="true">
    <transf name="instantiate" proved="true" arg1="while_ff_ns" arg2="(B_un_e NOT (B_aexp_e (Var_e x) EQUAL (Int_e 1)))">
     <goal name="example_2_4_1_.0.0.0.0" expl="base case" proved="true">
     <proof prover="0" timelimit="10"><result status="timeout" time="10.00"/></proof>
     <proof prover="1" timelimit="5"><result status="unknown" time="0.10" steps="23998"/></proof>
     <proof prover="2" timelimit="5"><result status="timeout" time="5.00" steps="15361712"/></proof>
     <transf name="instantiate" proved="true" arg1="Hinst" arg2="(COMP (ASSIGN y (Op_e (Var_e y) MULT (Var_e x)))
     (ASSIGN x (Op_e (Var_e x) MINUS (Int_e 1))))">
      <goal name="example_2_4_1_.0.0.0.0.0" expl="base case" proved="true">
      <proof prover="0" timelimit="10"><result status="timeout" time="10.00"/></proof>
      <proof prover="1"><result status="unknown" time="0.10" steps="24058"/></proof>
      <proof prover="2"><result status="timeout" time="1.00" steps="2296779"/></proof>
      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x z s0)">
       <goal name="example_2_4_1_.0.0.0.0.0.0" expl="base case" proved="true">
       <proof prover="0" timelimit="5"><result status="valid" time="0.05" steps="412"/></proof>
       <proof prover="1" timelimit="5"><result status="timeout" time="5.00" steps="3039283"/></proof>
       <proof prover="2" timelimit="5"><result status="timeout" time="5.00" steps="7696433"/></proof>
       <transf name="destruct_rec" proved="true" arg1="Hinst">
        <goal name="example_2_4_1_.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
        <proof prover="0"><result status="valid" time="0.04" steps="340"/></proof>
        <proof prover="1"><result status="timeout" time="1.00" steps="425612"/></proof>
        <proof prover="2"><result status="timeout" time="1.00" steps="4475356"/></proof>
        </goal>
        <goal name="example_2_4_1_.0.0.0.0.0.0.1" expl="base case" proved="true">
        <proof prover="0" timelimit="5"><result status="valid" time="0.01" steps="21"/></proof>
        <proof prover="1" timelimit="5"><result status="valid" time="0.05" steps="18275"/></proof>
        <proof prover="2" timelimit="5"><result status="valid" time="0.02" steps="79145"/></proof>
        <transf name="exists" proved="true" arg1="(add x z s0)">
         <goal name="example_2_4_1_.0.0.0.0.0.0.1.0" proved="true">
         <proof prover="0"><result status="valid" time="0.01" steps="12"/></proof>
         <proof prover="1"><result status="valid" time="0.04" steps="17762"/></proof>
         <proof prover="2"><result status="valid" time="0.01" steps="6222"/></proof>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
   <goal name="example_2_4_1_.0.1" expl="recursive case" proved="true">
   <proof prover="0"><result status="timeout" time="1.00"/></proof>
   <proof prover="1"><result status="unknown" time="0.10" steps="24104"/></proof>
   <proof prover="2"><result status="timeout" time="1.00" steps="1050946"/></proof>
   <transf name="eliminate_inductive" proved="true" >
    <goal name="example_2_4_1_.0.1.0" expl="recursive case" proved="true">
    <transf name="instantiate" proved="true" arg1="while_tt_ns" arg2="(B_un_e NOT (B_aexp_e (Var_e x) EQUAL (Int_e 1)))">
     <goal name="example_2_4_1_.0.1.0.0" expl="recursive case" proved="true">
     <transf name="instantiate" proved="true" arg1="Hinst" arg2="body_example_2_4_1">
      <goal name="example_2_4_1_.0.1.0.0.0" expl="recursive case" proved="true">
      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x z s0)">
       <goal name="example_2_4_1_.0.1.0.0.0.0" expl="recursive case" proved="true">
       <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x ((find x (add y ((find x (add x z s0)) * (find y (add x z s0))) (add x z s0))) - 1) (add y ((find x (add x z s0)) * (find y (add x z s0))) (add x z s0)))">
        <goal name="example_2_4_1_.0.1.0.0.0.0.0" expl="recursive case" proved="true">
        <transf name="instantiate" proved="true" arg1="Hrec" arg2="(find x (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))
     - 1)">
         <goal name="example_2_4_1_.0.1.0.0.0.0.0.0" expl="recursive case" proved="true">
         <transf name="destruct_rec" proved="true" arg1="Hinst">
          <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
          <proof prover="0"><result status="valid" time="0.03" steps="420"/></proof>
          <proof prover="1"><result status="timeout" time="1.00" steps="541751"/></proof>
          <proof prover="2"><result status="timeout" time="1.00" steps="3344343"/></proof>
          </goal>
          <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1" expl="recursive case" proved="true">
          <proof prover="0"><result status="timeout" time="1.00"/></proof>
          <proof prover="1"><result status="timeout" time="1.00" steps="538726"/></proof>
          <proof prover="2"><result status="timeout" time="1.00" steps="3133567"/></proof>
          <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))">
           <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0" expl="recursive case" proved="true">
           <transf name="destruct_rec" proved="true" arg1="Hinst">
            <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.0" expl="destruct premise" proved="true">
            <proof prover="0"><result status="valid" time="0.04" steps="421"/></proof>
            <proof prover="1"><result status="timeout" time="1.00" steps="540127"/></proof>
            <proof prover="2"><result status="timeout" time="1.00" steps="4027064"/></proof>
            </goal>
            <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1" expl="recursive case" proved="true">
            <proof prover="0"><result status="timeout" time="1.00"/></proof>
            <proof prover="1"><result status="timeout" time="1.00" steps="273865"/></proof>
            <proof prover="2"><result status="timeout" time="1.00" steps="2697608"/></proof>
            <transf name="assert" proved="true" arg1="(forall s&#39;&#39;:fmap var int.
   b_exp_eval (B_un_e NOT (B_aexp_e (Var_e x) EQUAL (Int_e 1))) (add x z s0)
   = True -&gt;
   (--&gt;) body_example_2_4_1 (add x z s0)
   (add x
    (find x (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))
     - 1)
    (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))) -&gt;
   (--&gt;)
   (WHILE (B_un_e NOT (B_aexp_e (Var_e x) EQUAL (Int_e 1)))
    body_example_2_4_1)
   (add x
    (find x (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))
     - 1)
    (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0)))
   s&#39;&#39; -&gt;
   (--&gt;)
   (WHILE (B_un_e NOT (B_aexp_e (Var_e x) EQUAL (Int_e 1)))
    body_example_2_4_1)
   (add x z s0) s&#39;&#39;)">
             <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.0" expl="asserted formula" proved="true">
             <proof prover="2"><result status="valid" time="0.01" steps="6873"/></proof>
             </goal>
             <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1" expl="recursive case" proved="true">
             <proof prover="0"><result status="timeout" time="1.00"/></proof>
             <proof prover="1"><result status="timeout" time="1.00" steps="274958"/></proof>
             <proof prover="2"><result status="timeout" time="1.00" steps="2697542"/></proof>
             <transf name="instantiate" proved="true" arg1="h" arg2="s">
              <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0" expl="recursive case" proved="true">
              <transf name="destruct_rec" proved="true" arg1="Hinst">
               <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.0" expl="destruct premise" proved="true">
               <proof prover="0"><result status="valid" time="0.04" steps="565"/></proof>
               <proof prover="1"><result status="timeout" time="1.00" steps="274778"/></proof>
               <proof prover="2"><result status="timeout" time="1.00" steps="2878957"/></proof>
               </goal>
               <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1" expl="destruct premise" proved="true">
               <proof prover="0"><result status="timeout" time="1.00"/></proof>
               <proof prover="1"><result status="timeout" time="1.00" steps="273515"/></proof>
               <proof prover="2"><result status="timeout" time="1.00" steps="2934948"/></proof>
               <transf name="instantiate" proved="true" arg1="comp_ns" arg2="(ASSIGN y (Op_e (Var_e y) MULT (Var_e x)))">
                <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0" expl="destruct premise" proved="true">
                <transf name="instantiate" proved="true" arg1="Hinst" arg2="(ASSIGN x (Op_e (Var_e x) MINUS (Int_e 1)))">
                 <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0" expl="destruct premise" proved="true">
                 <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x z s0)">
                  <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0" expl="destruct premise" proved="true">
                  <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))">
                   <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0" expl="destruct premise" proved="true">
                   <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x
   (find x (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))
    - 1)
   (add y (find x (add x z s0) * find y (add x z s0)) (add x z s0)))">
                    <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0" expl="destruct premise" proved="true">
                    <transf name="destruct_rec" proved="true" arg1="Hinst">
                     <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.0" expl="destruct premise" proved="true">
                     <proof prover="0"><result status="timeout" time="1.00"/></proof>
                     <proof prover="1"><result status="timeout" time="1.00" steps="275073"/></proof>
                     <proof prover="2"><result status="timeout" time="1.00" steps="4355576"/></proof>
                     <transf name="instantiate" proved="true" arg1="ass_ns" arg2="y">
                      <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
                      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Op_e (Var_e y) MULT (Var_e x))">
                       <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
                       <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add x z s0)">
                        <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.0.0.0.0" expl="destruct premise" proved="true">
                        <proof prover="0"><result status="valid" time="0.02" steps="82"/></proof>
                        <proof prover="1"><result status="timeout" time="1.00" steps="234600"/></proof>
                        <proof prover="2"><result status="timeout" time="1.00" steps="3332426"/></proof>
                        </goal>
                       </transf>
                       </goal>
                      </transf>
                      </goal>
                     </transf>
                     </goal>
                     <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.1" expl="destruct premise" proved="true">
                     <proof prover="0"><result status="timeout" time="1.00"/></proof>
                     <proof prover="1"><result status="timeout" time="1.00" steps="275295"/></proof>
                     <proof prover="2"><result status="timeout" time="1.00" steps="4193481"/></proof>
                     <transf name="instantiate" proved="true" arg1="ass_ns" arg2="x">
                      <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.1.0" expl="destruct premise" proved="true">
                      <transf name="instantiate" proved="true" arg1="Hinst" arg2="(Op_e (Var_e x) MINUS (Int_e 1))">
                       <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.1.0.0" expl="destruct premise" proved="true">
                       <transf name="instantiate" proved="true" arg1="Hinst" arg2="(add y (find x (add x z s0) * find y (add x z s0)) (add x z s0))">
                        <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.1.0.0.0" expl="destruct premise" proved="true">
                        <proof prover="1"><result status="valid" time="0.23" steps="55733"/></proof>
                        <proof prover="2"><result status="timeout" time="1.00" steps="4456287"/></proof>
                        </goal>
                       </transf>
                       </goal>
                      </transf>
                      </goal>
                     </transf>
                     </goal>
                     <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.1.0.0.0.0.0.2" expl="destruct premise" proved="true">
                     <proof prover="2"><result status="valid" time="0.01" steps="7123"/></proof>
                     </goal>
                    </transf>
                    </goal>
                   </transf>
                   </goal>
                  </transf>
                  </goal>
                 </transf>
                 </goal>
                </transf>
                </goal>
               </transf>
               </goal>
               <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.2" expl="destruct premise" proved="true">
               <proof prover="2"><result status="valid" time="0.01" steps="6878"/></proof>
               </goal>
               <goal name="example_2_4_1_.0.1.0.0.0.0.0.0.1.0.1.1.0.3" expl="recursive case" proved="true">
               <proof prover="2"><result status="valid" time="0.03" steps="87498"/></proof>
               </goal>
              </transf>
              </goal>
             </transf>
             </goal>
            </transf>
            </goal>
           </transf>
           </goal>
          </transf>
          </goal>
         </transf>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="lemma_2_5" proved="true">
 <proof prover="2"><result status="valid" time="0.02" steps="95368"/></proof>
 </goal>
 <goal name="exercise_2_6" proved="true">
 <proof prover="0"><result status="valid" time="0.19" steps="1451"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="268444"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3694639"/></proof>
 </goal>
 <goal name="theorem_2_9_deterministic_aux" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="218310"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3099813"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="theorem_2_9_deterministic_aux.0" proved="true">
  <proof prover="0"><result status="valid" time="0.04" steps="280"/></proof>
  <proof prover="1"><result status="valid" time="0.10" steps="27192"/></proof>
  <proof prover="2"><result status="valid" time="0.22" steps="717507"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.1" proved="true">
  <proof prover="0"><result status="valid" time="0.02" steps="110"/></proof>
  <proof prover="1"><result status="valid" time="0.07" steps="21378"/></proof>
  <proof prover="2"><result status="valid" time="0.02" steps="79573"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.2" proved="true">
  <proof prover="0"><result status="valid" time="0.08" steps="631"/></proof>
  <proof prover="1"><result status="valid" time="0.13" steps="36875"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="3339204"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.3" proved="true">
  <proof prover="0"><result status="valid" time="0.04" steps="325"/></proof>
  <proof prover="1"><result status="valid" time="0.08" steps="22414"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="3386693"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.4" proved="true">
  <proof prover="0"><result status="valid" time="0.05" steps="333"/></proof>
  <proof prover="1"><result status="valid" time="0.08" steps="22344"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="4321015"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.5" proved="true">
  <proof prover="1" timelimit="5"><result status="valid" time="0.09" steps="28017"/></proof>
  </goal>
  <goal name="theorem_2_9_deterministic_aux.6" proved="true">
  <proof prover="0"><result status="valid" time="0.03" steps="223"/></proof>
  <proof prover="1" timelimit="5"><result status="valid" time="0.08" steps="21775"/></proof>
  <proof prover="2" timelimit="5"><result status="valid" time="0.02" steps="82623"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="theorem_2_9_deterministic" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="77042"/></proof>
 </goal>
 <goal name="exercise_2_11_dir1" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="unknown" time="0.10" steps="25351"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="2940121"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="exercise_2_11_dir1.0" proved="true">
  <transf name="revert" proved="true" arg1="z">
   <goal name="exercise_2_11_dir1.0.0" proved="true">
   <transf name="induction_arg_ty_lex" proved="true" arg1="a">
    <goal name="exercise_2_11_dir1.0.0.0" proved="true">
    <transf name="split_vc" proved="true" >
     <goal name="exercise_2_11_dir1.0.0.0.0" proved="true">
     <proof prover="2"><result status="valid" time="0.05" steps="151712"/></proof>
     </goal>
     <goal name="exercise_2_11_dir1.0.0.0.1" proved="true">
     <proof prover="2"><result status="valid" time="0.05" steps="151520"/></proof>
     </goal>
     <goal name="exercise_2_11_dir1.0.0.0.2" proved="true">
     <proof prover="0"><result status="valid" time="0.01" steps="13"/></proof>
     <proof prover="1"><result status="timeout" time="1.00" steps="237656"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3070135"/></proof>
     </goal>
     <goal name="exercise_2_11_dir1.0.0.0.3" proved="true">
     <proof prover="0"><result status="timeout" time="1.00"/></proof>
     <proof prover="1"><result status="timeout" time="1.00" steps="197652"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3049899"/></proof>
     <transf name="instantiate" proved="true" arg1="H1" arg2="(a_exp_eval (Op_e x2 x1 x) s)">
      <goal name="exercise_2_11_dir1.0.0.0.3.0" proved="true">
      <proof prover="0"><result status="timeout" time="1.00"/></proof>
      <proof prover="1"><result status="timeout" time="1.00" steps="204954"/></proof>
      <proof prover="2"><result status="timeout" time="1.00" steps="2650580"/></proof>
      <transf name="unfold" proved="true" arg1="a_exp_eval">
       <goal name="exercise_2_11_dir1.0.0.0.3.0.0" proved="true">
       <transf name="compile_match" proved="true" >
        <goal name="exercise_2_11_dir1.0.0.0.3.0.0.0" proved="true">
        <proof prover="0"><result status="timeout" time="1.00"/></proof>
        <proof prover="1"><result status="timeout" time="1.00" steps="181963"/></proof>
        <proof prover="2"><result status="timeout" time="1.00" steps="2661306"/></proof>
        <transf name="induction_arg_ty_lex" proved="true" arg1="x1">
         <goal name="exercise_2_11_dir1.0.0.0.3.0.0.0.0" proved="true">
         <transf name="split_vc" proved="true" >
          <goal name="exercise_2_11_dir1.0.0.0.3.0.0.0.0.0" proved="true">
          <proof prover="1"><result status="valid" time="0.08" steps="29124"/></proof>
          <proof prover="2"><result status="timeout" time="1.00" steps="3005150"/></proof>
          </goal>
          <goal name="exercise_2_11_dir1.0.0.0.3.0.0.0.0.1" proved="true">
          <proof prover="1"><result status="valid" time="0.08" steps="29100"/></proof>
          <proof prover="2"><result status="timeout" time="1.00" steps="3099995"/></proof>
          </goal>
          <goal name="exercise_2_11_dir1.0.0.0.3.0.0.0.0.2" proved="true">
          <proof prover="1"><result status="valid" time="0.08" steps="29067"/></proof>
          <proof prover="2"><result status="timeout" time="1.00" steps="3314263"/></proof>
          </goal>
         </transf>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise_2_11_dir2" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="184715"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="2664033"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="exercise_2_11_dir2.0" proved="true">
  <proof prover="1"><result status="valid" time="0.04" steps="19683"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="2885457"/></proof>
  </goal>
  <goal name="exercise_2_11_dir2.1" proved="true">
  <proof prover="1"><result status="valid" time="0.05" steps="19862"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="2725186"/></proof>
  </goal>
  <goal name="exercise_2_11_dir2.2" proved="true">
  <proof prover="1"><result status="valid" time="0.07" steps="21405"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="2629011"/></proof>
  </goal>
  <goal name="exercise_2_11_dir2.3" proved="true">
  <proof prover="1"><result status="valid" time="0.06" steps="22232"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="2945375"/></proof>
  </goal>
  <goal name="exercise_2_11_dir2.4" proved="true">
  <proof prover="1"><result status="valid" time="0.07" steps="22196"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="3110197"/></proof>
  </goal>
  <goal name="exercise_2_11_dir2.5" proved="true">
  <proof prover="1"><result status="valid" time="0.07" steps="22222"/></proof>
  <proof prover="2"><result status="timeout" time="1.00" steps="3256244"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="exercise_2_11" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="84361"/></proof>
 </goal>
 <goal name="exercise_2_12_dir1" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="377965"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3054443"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="exercise_2_12_dir1.0" proved="true">
  <transf name="revert" proved="true" arg1="b">
   <goal name="exercise_2_12_dir1.0.0" proved="true">
   <transf name="induction_arg_ty_lex" proved="true" arg1="b_exp">
    <goal name="exercise_2_12_dir1.0.0.0" proved="true">
    <transf name="split_vc" proved="true" >
     <goal name="exercise_2_12_dir1.0.0.0.0" proved="true">
     <proof prover="1"><result status="valid" time="0.06" steps="21829"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3056591"/></proof>
     </goal>
     <goal name="exercise_2_12_dir1.0.0.0.1" proved="true">
     <proof prover="1"><result status="valid" time="0.08" steps="26255"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3059439"/></proof>
     </goal>
     <goal name="exercise_2_12_dir1.0.0.0.2" proved="true">
     <proof prover="1"><result status="valid" time="0.08" steps="23452"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3302339"/></proof>
     </goal>
     <goal name="exercise_2_12_dir1.0.0.0.3" proved="true">
     <proof prover="1"><result status="valid" time="0.08" steps="24284"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="3286090"/></proof>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise_2_12_dir2" proved="true">
 <proof prover="1"><result status="valid" time="0.13" steps="38237"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="2995158"/></proof>
 </goal>
 <goal name="exercise_2_12" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="93612"/></proof>
 </goal>
 <goal name="exercise_2_13_dir1" proved="true">
 <proof prover="0"><result status="valid" time="0.04" steps="200"/></proof>
 <proof prover="1"><result status="unknown" time="0.12" steps="28805"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3209223"/></proof>
 </goal>
 <goal name="exercise_2_13_dir2" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="98306"/></proof>
 </goal>
 <goal name="exercise_2_13" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="97759"/></proof>
 </goal>
</theory>
<theory name="Big_step_ext" proved="true">
 <goal name="exercise_2_7_dir1" proved="true">
 <proof prover="0"><result status="valid" time="0.08" steps="510"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="325630"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="1530229"/></proof>
 </goal>
 <goal name="exercise_2_7_dir2" proved="true">
 <proof prover="2"><result status="valid" time="0.04" steps="137894"/></proof>
 </goal>
 <goal name="exercise_2_7" proved="true">
 <proof prover="2"><result status="valid" time="0.03" steps="84303"/></proof>
 </goal>
</theory>
<theory name="Small_step" proved="true">
 <goal name="ref_trans" proved="true">
 <transf name="split_vc" proved="true" >
  <goal name="ref_trans.0" proved="true">
  <transf name="revert" proved="true" arg1="stm3,s3">
   <goal name="ref_trans.0.0" proved="true">
   <transf name="induction_pr" proved="true" >
    <goal name="ref_trans.0.0.0" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="251076"/></proof>
    <proof prover="2"><result status="valid" time="0.03" steps="71479"/></proof>
    </goal>
    <goal name="ref_trans.0.0.1" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="264689"/></proof>
    <proof prover="2"><result status="valid" time="0.03" steps="72274"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="indexed" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="242694"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3994129"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="indexed.0" proved="true">
  <transf name="revert" proved="true" arg1="stm3,s3,k2">
   <goal name="indexed.0.0" proved="true">
   <transf name="induction_pr" proved="true" >
    <goal name="indexed.0.0.0" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="unknown" time="0.17" steps="53719"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3996759"/></proof>
    <transf name="split_vc" proved="true" >
     <goal name="indexed.0.0.0.0" proved="true">
     <transf name="subst_all" proved="true" >
      <goal name="indexed.0.0.0.0.0" proved="true">
      <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
      <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="220784"/></proof>
      <proof prover="2"><result status="valid" time="0.03" steps="73300"/></proof>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
    <goal name="indexed.0.0.1" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1"><result status="valid" time="0.08" steps="21419"/></proof>
    <proof prover="2"><result status="timeout" time="1.00" steps="3186044"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="indexed_star_relation" proved="true">
 <proof prover="4"><result status="timeout" time="1.00" steps="2274455"/></proof>
 <proof prover="5"><result status="timeout" time="1.00"/></proof>
 <proof prover="6"><result status="timeout" time="1.00" steps="198556"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="indexed_star_relation.0" proved="true">
  <proof prover="6"><result status="valid" time="0.06" steps="16801"/></proof>
  </goal>
  <goal name="indexed_star_relation.1" proved="true">
  <proof prover="6"><result status="valid" time="0.06" steps="17248"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="lemma_2_19" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="195830"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3690084"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="lemma_2_19.0" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2645841"/></proof>
  <proof prover="7"><result status="valid" time="0.05" steps="17343"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="star_implies_k" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="200888"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3757863"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="star_implies_k.0" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3375570"/></proof>
  <proof prover="5" timelimit="5"><result status="valid" time="0.01" steps="17"/></proof>
  <proof prover="7"><result status="valid" time="0.07" steps="21394"/></proof>
  </goal>
  <goal name="star_implies_k.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="3"><result status="timeout" time="1.00"/></proof>
  <proof prover="7"><result status="valid" time="0.06" steps="21789"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_21_aux" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="208078"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2610571"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="exercise2_21_aux.0" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="2.00" steps="831467"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2144445"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="exercise2_21_aux.0.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="exercise2_21_aux.0.0.0" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="246269"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2147072"/></proof>
    <proof prover="6"><result status="valid" time="0.09" steps="19596"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="exercise2_21_aux.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="2.00" steps="830862"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2008413"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="exercise2_21_aux.1.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="exercise2_21_aux.1.0.0" proved="true">
    <proof prover="3"><result status="timeout" time="1.00"/></proof>
    <proof prover="4"><result status="timeout" time="1.00" steps="1721781"/></proof>
    <proof prover="5"><result status="timeout" time="1.00"/></proof>
    <proof prover="6"><result status="unknown" time="0.33" steps="65727"/></proof>
    <transf name="instantiate" proved="true" arg1="H1" arg2="stm21,s2,k">
     <goal name="exercise2_21_aux.1.0.0.0" proved="true">
     <proof prover="0"><undone/></proof>
     <proof prover="1"><undone/></proof>
     <proof prover="2"><undone/></proof>
     <transf name="destruct_rec" proved="true" arg1="Hinst">
      <goal name="exercise2_21_aux.1.0.0.0.0" expl="destruct premise" proved="true">
      <proof prover="3"><result status="valid" time="0.02"/></proof>
      <proof prover="5" timelimit="5"><result status="valid" time="0.01" steps="6"/></proof>
      <proof prover="7" timelimit="5"><result status="valid" time="0.06" steps="17748"/></proof>
      </goal>
      <goal name="exercise2_21_aux.1.0.0.0.1" expl="destruct premise" proved="true">
      <proof prover="3"><result status="valid" time="0.02"/></proof>
      </goal>
      <goal name="exercise2_21_aux.1.0.0.0.2" expl="destruct premise" proved="true">
      <proof prover="3"><result status="valid" time="0.02"/></proof>
      </goal>
      <goal name="exercise2_21_aux.1.0.0.0.3" expl="destruct premise" proved="true">
      <proof prover="3"><result status="valid" time="0.02"/></proof>
      </goal>
      <goal name="exercise2_21_aux.1.0.0.0.4" expl="destruct premise" proved="true">
      <proof prover="3"><result status="valid" time="0.02"/></proof>
      </goal>
      <goal name="exercise2_21_aux.1.0.0.0.5" proved="true">
      <proof prover="0"><undone/></proof>
      <proof prover="1"><undone/></proof>
      <proof prover="2"><undone/></proof>
      <transf name="instantiate" proved="true" arg1="Hinst" arg2="stm2">
       <goal name="exercise2_21_aux.1.0.0.0.5.0" proved="true">
       <proof prover="1"><undone/></proof>
       <proof prover="2"><undone/></proof>
       <proof prover="5"><result status="valid" time="0.04" steps="308"/></proof>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_21" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="unknown" time="0.14" steps="39542"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4231290"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="exercise2_21.0" proved="true">
  <proof prover="3"><result status="valid" time="0.03"/></proof>
  </goal>
  <goal name="exercise2_21.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="189029"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2070062"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="exercise2_21.1.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="exercise2_21.1.0.0" proved="true">
    <proof prover="3"><result status="valid" time="0.02"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_22_aux" proved="true">
 <transf name="induction_pr" proved="true" >
  <goal name="exercise2_22_aux.0" proved="true">
  <proof prover="3"><result status="valid" time="0.58"/></proof>
  </goal>
  <goal name="exercise2_22_aux.1" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2629745"/></proof>
  <proof prover="7"><result status="valid" time="0.08" steps="22848"/></proof>
  </goal>
  <goal name="exercise2_22_aux.2" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2417983"/></proof>
  <proof prover="7"><result status="valid" time="0.08" steps="23751"/></proof>
  </goal>
  <goal name="exercise2_22_aux.3" proved="true">
  <proof prover="3"><result status="valid" time="0.03"/></proof>
  </goal>
  <goal name="exercise2_22_aux.4" proved="true">
  <proof prover="3"><result status="valid" time="0.04"/></proof>
  </goal>
  <goal name="exercise2_22_aux.5" proved="true">
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="167808"/></proof>
  <proof prover="3"><result status="valid" time="0.03"/></proof>
  <proof prover="5"><result status="valid" time="0.08" steps="194"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_22" proved="true">
 <proof prover="3"><result status="valid" time="0.03"/></proof>
 </goal>
 <goal name="no_reduction_comp_skip" proved="true">
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2280891"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="no_reduction_comp_skip.0" proved="true">
  <transf name="inversion_arg_pr" proved="true" arg1="H">
   <goal name="no_reduction_comp_skip.0.0" proved="true">
   <transf name="split_vc" proved="true" >
    <goal name="no_reduction_comp_skip.0.0.0" proved="true">
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2128970"/></proof>
    <proof prover="7"><result status="valid" time="0.12" steps="23441"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_23_1_dir1" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="216525"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1609416"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="exercise2_23_1_dir1.0" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2391473"/></proof>
  <proof prover="7"><result status="valid" time="0.07" steps="21583"/></proof>
  </goal>
  <goal name="exercise2_23_1_dir1.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2169547"/></proof>
  <proof prover="7"><result status="valid" time="0.15" steps="34795"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_23_1_dir2" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="201469"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2483913"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="exercise2_23_1_dir2.0" proved="true">
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="238068"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2648592"/></proof>
  <proof prover="5"><result status="valid" time="0.08" steps="10"/></proof>
  </goal>
  <goal name="exercise2_23_1_dir2.1" proved="true">
  <transf name="split_vc" proved="true" >
   <goal name="exercise2_23_1_dir2.1.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="exercise2_23_1_dir2.1.0.0" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="206023"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2070317"/></proof>
    <transf name="inversion_arg_pr" proved="true" arg1="H">
     <goal name="exercise2_23_1_dir2.1.0.0.0" proved="true">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="226562"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2594349"/></proof>
     <transf name="split_vc" proved="true" >
      <goal name="exercise2_23_1_dir2.1.0.0.0.0" proved="true">
      <transf name="subst_all" proved="true" >
       <goal name="exercise2_23_1_dir2.1.0.0.0.0.0" proved="true">
       <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="221232"/></proof>
       <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2332800"/></proof>
       <proof prover="5"><result status="valid" time="0.01" steps="797"/></proof>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_23_1" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="195403"/></proof>
 <proof prover="3"><result status="valid" time="0.03"/></proof>
 </goal>
 <goal name="semantic_eq_amounts_to" proved="true">
 <proof prover="1" obsolete="true"><result status="unknown" time="0.09" steps="27363"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1560610"/></proof>
 <proof prover="4"><result status="valid" time="0.07" steps="172336"/></proof>
 <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="6" obsolete="true"><result status="unknown" time="0.14" steps="27485"/></proof>
 </goal>
 <goal name="semantic_eq_amounts_to_other_dir" proved="true">
 <proof prover="3"><result status="valid" time="0.03"/></proof>
 </goal>
 <goal name="star_comp_aux" proved="true">
 <proof prover="4" obsolete="true"><result status="timeout" time="1.00" steps="2110596"/></proof>
 <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="6" obsolete="true"><result status="timeout" time="1.00" steps="154549"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="star_comp_aux.0" proved="true">
  <proof prover="6"><result status="valid" time="0.18" steps="21825"/></proof>
  </goal>
  <goal name="star_comp_aux.1" proved="true">
  <proof prover="6"><result status="valid" time="0.10" steps="40058"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="star_comp" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="260015"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2363552"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="star_comp.0" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2134884"/></proof>
  <proof prover="4" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="8368303"/></proof>
  <proof prover="5" timelimit="5" obsolete="true"><result status="timeout" time="5.00"/></proof>
  <proof prover="6" timelimit="5" obsolete="true"><result status="unknown" time="0.58" steps="145333"/></proof>
  <proof prover="7" obsolete="true"><result status="timeout" time="2.00" steps="435201"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="star_comp.0.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="star_comp.0.0.0" proved="true">
    <proof prover="4"><result status="valid" time="0.04" steps="91906"/></proof>
    <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="6" obsolete="true"><result status="unknown" time="0.22" steps="43847"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="star_comp.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="unknown" time="0.16" steps="41858"/></proof>
  <proof prover="3" timelimit="5"><result status="valid" time="0.22"/></proof>
  <proof prover="4"><result status="valid" time="0.17" steps="370625"/></proof>
  <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="6" obsolete="true"><result status="unknown" time="0.64" steps="145682"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="star_comp_skip" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="175051"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2433015"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="star_comp_skip.0" proved="true">
  <proof prover="1" obsolete="true"><result status="timeout" time="2.00" steps="445191"/></proof>
  <proof prover="3"><result status="valid" time="0.03"/></proof>
  <proof prover="4"><result status="valid" time="0.04" steps="88172"/></proof>
  <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="6" obsolete="true"><result status="timeout" time="1.00" steps="141023"/></proof>
  </goal>
  <goal name="star_comp_skip.1" proved="true">
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2263597"/></proof>
  <proof prover="4" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="8158742"/></proof>
  <proof prover="5"><result status="valid" time="1.04" steps="4826"/></proof>
  <proof prover="6" obsolete="true"><result status="timeout" time="1.00" steps="143481"/></proof>
  <proof prover="7" obsolete="true"><result status="timeout" time="2.00" steps="335023"/></proof>
  </goal>
 </transf>
 </goal>
</theory>
<theory name="Small_step_ext">
 <goal name="ref_trans" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="245612"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="3795834"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="ref_trans.0" proved="true">
  <transf name="revert" proved="true" arg1="stm3,s3">
   <goal name="ref_trans.0.0" proved="true">
   <transf name="induction_pr" proved="true" >
    <goal name="ref_trans.0.0.0" proved="true">
    <proof prover="0"><result status="valid" time="0.01" steps="16"/></proof>
    <proof prover="1"><result status="valid" time="0.06" steps="18385"/></proof>
    <proof prover="2"><result status="valid" time="0.03" steps="78465"/></proof>
    </goal>
    <goal name="ref_trans.0.0.1" proved="true">
    <proof prover="0"><result status="valid" time="0.01" steps="20"/></proof>
    <proof prover="1"><result status="valid" time="0.05" steps="18627"/></proof>
    <proof prover="2"><result status="valid" time="0.02" steps="79260"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="indexed" proved="true">
 <proof prover="0"><result status="timeout" time="1.00"/></proof>
 <proof prover="1"><result status="timeout" time="1.00" steps="253836"/></proof>
 <proof prover="2"><result status="timeout" time="1.00" steps="2849333"/></proof>
 <transf name="split_vc" proved="true" >
  <goal name="indexed.0" proved="true">
  <transf name="revert" proved="true" arg1="stm3,s3,k2">
   <goal name="indexed.0.0" proved="true">
   <transf name="induction_pr" proved="true" >
    <goal name="indexed.0.0.0" proved="true">
    <proof prover="0"><result status="valid" time="0.01" steps="19"/></proof>
    <proof prover="1"><result status="valid" time="0.07" steps="20286"/></proof>
    <proof prover="2"><result status="valid" time="0.02" steps="80898"/></proof>
    <transf name="split_vc" proved="true" >
     <goal name="indexed.0.0.0.0" proved="true">
     <transf name="subst_all" proved="true" >
      <goal name="indexed.0.0.0.0.0" proved="true">
      <proof prover="0"><result status="valid" time="0.01" steps="9"/></proof>
      <proof prover="1"><result status="valid" time="0.06" steps="19962"/></proof>
      <proof prover="2"><result status="valid" time="0.03" steps="80286"/></proof>
      </goal>
     </transf>
     </goal>
    </transf>
    </goal>
    <goal name="indexed.0.0.1" proved="true">
    <proof prover="0"><result status="timeout" time="1.00"/></proof>
    <proof prover="1"><result status="valid" time="0.07" steps="23215"/></proof>
    <proof prover="2"><result status="timeout" time="1.00" steps="2865014"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_24_1_dir1">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="276248"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2423339"/></proof>
 <transf name="induction_pr" >
  <goal name="exercise2_24_1_dir1.0">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="202908"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2311444"/></proof>
  <proof prover="4" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="9555001"/></proof>
  <proof prover="5" timelimit="5" obsolete="true"><result status="timeout" time="5.00"/></proof>
  <proof prover="6" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="771628"/></proof>
  <transf name="split_vc" >
   <goal name="exercise2_24_1_dir1.0.0">
   <transf name="subst_all" >
    <goal name="exercise2_24_1_dir1.0.0.0">
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="exercise2_24_1_dir1.1">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="229572"/></proof>
  <proof prover="3"><result status="timeout" time="1.00"/></proof>
  <proof prover="6"><result status="timeout" time="1.00" steps="170018"/></proof>
  </goal>
  <goal name="exercise2_24_1_dir1.1">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="209943"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1164624"/></proof>
  <transf name="split_vc" >
   <goal name="exercise2_24_1_dir1.1.0">
   <transf name="subst_all" >
    <goal name="exercise2_24_1_dir1.1.0.0">
    <transf name="case" arg1="(b_exp_eval b s1 = True)">
     <goal name="exercise2_24_1_dir1.1.0.0.0" expl="true case">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="218625"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3024674"/></proof>
     <transf name="assert" arg1="((--&gt;) (REPEAT stm1 b) s1 (COMP stm1 (IF b SKIP (REPEAT stm1 b))) s2)">
      <goal name="exercise2_24_1_dir1.1.0.0.0.0" expl="asserted formula">
      <proof prover="2"><result status="valid" time="0.03" steps="95025"/></proof>
      <proof prover="6"><undone/></proof>
      </goal>
      <goal name="exercise2_24_1_dir1.1.0.0.0.1" expl="true case">
      <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
      <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="204133"/></proof>
      <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="5167444"/></proof>
      <transf name="assert" arg1="((--&gt;) (REPEAT stm1 b) s1 (COMP stm1 SKIP) s2)">
       <goal name="exercise2_24_1_dir1.1.0.0.0.1.0" expl="asserted formula">
       <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
       <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="234884"/></proof>
       <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1904325"/></proof>
       <transf name="assert" arg1="(not (--&gt;) stm2 s2 stm3 s3)">
        <goal name="exercise2_24_1_dir1.1.0.0.0.1.0.0" expl="asserted formula">
        <proof prover="2"><result status="valid" time="0.01" steps="6325"/></proof>
        <proof prover="6"><undone/></proof>
        </goal>
        <goal name="exercise2_24_1_dir1.1.0.0.0.1.0.1" expl="asserted formula">
        <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
        <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="239664"/></proof>
        <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1904254"/></proof>
        <transf name="replace" arg1="stm2" arg2="(COMP stm1 (IF b SKIP (REPEAT stm1 b)))" arg3="in" arg4="h1">
         <goal name="exercise2_24_1_dir1.1.0.0.0.1.0.1.0" expl="asserted formula">
         <proof prover="0"><result status="timeout" time="1.00"/></proof>
         <proof prover="1"><result status="timeout" time="1.00" steps="185149"/></proof>
         <proof prover="2"><result status="timeout" time="1.00" steps="2245787"/></proof>
         <proof prover="6"><undone/></proof>
         </goal>
         <goal name="exercise2_24_1_dir1.1.0.0.0.1.0.1.1" expl="equality hypothesis">
         <proof prover="2"><result status="valid" time="0.03" steps="99050"/></proof>
         <proof prover="6"><undone/></proof>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
       <goal name="exercise2_24_1_dir1.1.0.0.0.1.1" expl="true case">
       <proof prover="2"><result status="valid" time="0.03" steps="108935"/></proof>
       <proof prover="6"><undone/></proof>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
     <goal name="exercise2_24_1_dir1.1.0.0.1" expl="false case">
     <proof prover="0"><result status="timeout" time="1.00"/></proof>
     <proof prover="1"><result status="timeout" time="1.00" steps="189245"/></proof>
     <proof prover="2"><result status="timeout" time="1.00" steps="2553171"/></proof>
     <proof prover="6"><undone/></proof>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_24_1_dir2">
 <transf name="induction_pr" >
  <goal name="exercise2_24_1_dir2.0">
  <proof prover="4" obsolete="true"><result status="timeout" time="1.00" steps="1808030"/></proof>
  <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="6" obsolete="true"><result status="timeout" time="1.00" steps="180732"/></proof>
  <transf name="split_vc" >
   <goal name="exercise2_24_1_dir2.0.0">
   <transf name="subst_all" >
    <goal name="exercise2_24_1_dir2.0.0.0">
    <proof prover="4" obsolete="true"><result status="timeout" time="1.00" steps="1985613"/></proof>
    <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="6" obsolete="true"><result status="timeout" time="1.00" steps="194424"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="exercise2_24_1_dir2.1">
  <proof prover="6"><result status="timeout" time="1.00" steps="194491"/></proof>
  </goal>
 </transf>
 </goal>
 <goal name="exercise2_24_1" proved="true">
 <proof prover="6"><result status="valid" time="0.07" steps="18753"/></proof>
 </goal>
 <goal name="exercise2_24" proved="true">
 <proof prover="6"><result status="valid" time="0.09" steps="19954"/></proof>
 <transf name="split_vc" >
  <goal name="exercise2_24.0">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="265152"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3592449"/></proof>
  <transf name="unfold" arg1="semantic_equivalent">
   <goal name="exercise2_24.0.0">
   <proof prover="0" timelimit="5" obsolete="true"><result status="timeout" time="5.00"/></proof>
   <proof prover="1" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="1004117"/></proof>
   <proof prover="2" timelimit="5" obsolete="true"><result status="timeout" time="5.00" steps="4436370"/></proof>
   <transf name="induction_arg_ty_lex" arg1="stm1">
    <goal name="exercise2_24.0.0.0">
    <transf name="split_vc" >
     <goal name="exercise2_24.0.0.0.0">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="202109"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3685347"/></proof>
     <transf name="inversion_arg_pr" arg1="H">
      <goal name="exercise2_24.0.0.0.0.0">
      <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
      <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="232462"/></proof>
      <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2896730"/></proof>
      </goal>
      <goal name="exercise2_24.0.0.0.0.1" proved="true">
      <proof prover="3"><result status="valid" time="0.03"/></proof>
      </goal>
      <goal name="exercise2_24.0.0.0.0.1">
      <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
      <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="219076"/></proof>
      <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3268088"/></proof>
      <transf name="split_vc" >
       <goal name="exercise2_24.0.0.0.0.1.0">
       <transf name="subst_all" >
        <goal name="exercise2_24.0.0.0.0.1.0.0">
        <transf name="assert" arg1="((--&gt;) (COMP (ASSIGN x1 x) (WHILE (B_un_e NOT b) (ASSIGN x1 x))) s1 stm2 s2)">
         <goal name="exercise2_24.0.0.0.0.1.0.0.0" expl="asserted formula">
         <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
         <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="237463"/></proof>
         <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4588063"/></proof>
         <transf name="destruct_term" arg1="stm2">
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.0" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="101220"/></proof>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.1" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="100195"/></proof>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.2" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="100195"/></proof>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.3" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="98925"/></proof>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.4" expl="asserted formula">
          <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
          <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="230120"/></proof>
          <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="1947742"/></proof>
          <transf name="subst_all" >
           <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0" expl="asserted formula">
           <transf name="inversion_arg_pr" arg1="H2">
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.0" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="86272"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.1" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.02" steps="85714"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.2" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="85790"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.3" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9577"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.4" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.02" steps="85712"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.5" expl="asserted formula">
            <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
            <proof prover="1" obsolete="true"><result status="unknown" time="0.12" steps="32400"/></proof>
            <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2227660"/></proof>
            <transf name="split_vc" >
             <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.5.0" expl="asserted formula">
             <transf name="subst_all" >
              <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.5.0.0" expl="asserted formula">
              </goal>
             </transf>
             </goal>
            </transf>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.6" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="85608"/></proof>
            </goal>
            <goal name="exercise2_24.0.0.0.0.1.0.0.0.4.0.7" expl="asserted formula">
            <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="86416"/></proof>
            </goal>
           </transf>
           </goal>
          </transf>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.5" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="6280"/></proof>
          </goal>
          <goal name="exercise2_24.0.0.0.0.1.0.0.0.6" expl="asserted formula">
          <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="100195"/></proof>
          </goal>
         </transf>
         </goal>
         <goal name="exercise2_24.0.0.0.0.1.0.0.1">
         <proof prover="3" obsolete="true"><result status="valid" time="0.03" steps="86007"/></proof>
         </goal>
        </transf>
        </goal>
       </transf>
       </goal>
      </transf>
      </goal>
     </transf>
     </goal>
     <goal name="exercise2_24.0.0.0.1">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="205335"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3689592"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.2">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="191500"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2319441"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.3">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="197410"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2214194"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.4">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="200192"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3916812"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.5">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="206152"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2907808"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.6">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="213077"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2380023"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.7">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="221623"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="8236824"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.8">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="218225"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3006060"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.9">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="223901"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3121721"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.10">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="195918"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2805878"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.11">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="207069"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3400339"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.12">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="201973"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2624685"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.13">
     <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="203042"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3248125"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.27">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9249"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.15">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9342"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.7">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9148"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.22">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9236"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.19">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9249"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.6">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9137"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.11">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9342"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.18">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9236"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.23">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9249"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.26">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9236"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.10">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9329"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.3">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9158"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.14">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9329"/></proof>
     </goal>
     <goal name="exercise2_24.0.0.0.2">
     <proof prover="3" obsolete="true"><result status="valid" time="0.01" steps="9147"/></proof>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
</theory>
<theory name="Results_between_small_big_step">
 <goal name="lemma_2_27" proved="true">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="247580"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2204015"/></proof>
 <transf name="induction_pr" proved="true" >
  <goal name="lemma_2_27.0" proved="true">
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="207886"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3933687"/></proof>
  <proof prover="5"><result status="valid" time="0.02" steps="20"/></proof>
  </goal>
  <goal name="lemma_2_27.1" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="272262"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3474493"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.1.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="lemma_2_27.1.0.0" proved="true">
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2826775"/></proof>
    <proof prover="7"><result status="valid" time="0.08" steps="29093"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="lemma_2_27.2" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="218423"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3460193"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.2.0" proved="true">
   <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="210899"/></proof>
   <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2388108"/></proof>
   <proof prover="5"><result status="valid" time="0.19" steps="1290"/></proof>
   </goal>
  </transf>
  </goal>
  <goal name="lemma_2_27.3" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="unknown" time="0.11" steps="26406"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="2.00" steps="2730721"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.3.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="lemma_2_27.3.0.0" proved="true">
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="178509"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2326475"/></proof>
    <transf name="destruct_term" proved="true" arg1="stm1">
     <goal name="lemma_2_27.3.0.0.0" proved="true">
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="243332"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="8321337"/></proof>
     <proof prover="5"><result status="valid" time="0.06" steps="148"/></proof>
     </goal>
     <goal name="lemma_2_27.3.0.0.1" proved="true">
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="208909"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2370956"/></proof>
     <proof prover="5"><result status="valid" time="0.05" steps="120"/></proof>
     </goal>
     <goal name="lemma_2_27.3.0.0.2" proved="true">
     <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="156873"/></proof>
     <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2386316"/></proof>
     <proof prover="5"><result status="valid" time="0.06" steps="117"/></proof>
     </goal>
     <goal name="lemma_2_27.3.0.0.3" proved="true">
     <proof prover="3"><result status="valid" time="0.05"/></proof>
     <proof prover="5"><result status="valid" time="0.07" steps="280"/></proof>
     <proof prover="7"><result status="valid" time="0.16" steps="33057"/></proof>
     </goal>
     <goal name="lemma_2_27.3.0.0.4" proved="true">
     <proof prover="3"><result status="valid" time="0.06"/></proof>
     <proof prover="5"><result status="valid" time="0.05" steps="116"/></proof>
     <proof prover="7" obsolete="true"><result status="timeout" time="2.00" steps="372660"/></proof>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="lemma_2_27.4" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="227208"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4828605"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.4.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="lemma_2_27.4.0.0" proved="true">
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="216489"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2346461"/></proof>
    <proof prover="5"><result status="valid" time="0.09" steps="374"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="lemma_2_27.5" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="211376"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4627604"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.5.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="lemma_2_27.5.0.0" proved="true">
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2436526"/></proof>
    <proof prover="7"><result status="valid" time="0.83" steps="167678"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
  <goal name="lemma_2_27.6" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="345565"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4361373"/></proof>
  <transf name="split_vc" proved="true" >
   <goal name="lemma_2_27.6.0" proved="true">
   <transf name="subst_all" proved="true" >
    <goal name="lemma_2_27.6.0.0" proved="true">
    <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
    <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="478110"/></proof>
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="4197674"/></proof>
    <transf name="assert" proved="true" arg1="((--&gt;&#39;&#39;) (IF b (COMP stm (WHILE b stm)) SKIP) s SKIP s)">
     <goal name="lemma_2_27.6.0.0.0" expl="asserted formula" proved="true">
     <proof prover="3"><result status="valid" time="0.03"/></proof>
     </goal>
     <goal name="lemma_2_27.6.0.0.1" proved="true">
     <proof prover="3"><result status="valid" time="0.04"/></proof>
     </goal>
    </transf>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 </goal>
 <goal name="lemma_2_28">
 <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="280480"/></proof>
 <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2943746"/></proof>
 <transf name="induction_pr" >
  <goal name="lemma_2_28.0" proved="true">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2869445"/></proof>
  <proof prover="6"><result status="valid" time="0.09" steps="30038"/></proof>
  <proof prover="7"><result status="valid" time="0.10" steps="33395"/></proof>
  </goal>
  <goal name="lemma_2_28.1">
  <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
  <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="320006"/></proof>
  <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2911505"/></proof>
  <transf name="split_vc" >
   <goal name="lemma_2_28.1.0">
   <proof prover="0" obsolete="true"><result status="timeout" time="1.00"/></proof>
   <proof prover="1" obsolete="true"><result status="timeout" time="1.00" steps="189399"/></proof>
   <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="2488353"/></proof>
   <transf name="subst_all" >
    <goal name="lemma_2_28.1.0.0">
    <proof prover="2" obsolete="true"><result status="timeout" time="1.00" steps="3710285"/></proof>
    <proof prover="4"><result status="timeout" time="1.00" steps="1514766"/></proof>
    <proof prover="5"><result status="timeout" time="1.00"/></proof>
    <proof prover="6"><result status="timeout" time="1.00" steps="179950"/></proof>
    </goal>
   </transf>
   </goal>
  </transf>
  </goal>
 </transf>
 <transf name="split_vc" >
  <goal name="lemma_2_28.0">
  </goal>
 </transf>
 </goal>
 <goal name="lemma_2_28_single">
 <proof prover="4" obsolete="true"><result status="timeout" time="1.00" steps="1790352"/></proof>
 <proof prover="5" obsolete="true"><result status="timeout" time="1.00"/></proof>
 <proof prover="6"><result status="valid" time="0.13" steps="29717"/></proof>
 </goal>
</theory>
</file>
</why3session>
